using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace ReallifeGamemode.Database.Entities.Logs.Chat
{
  public abstract class ChatLogEntry
  {
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public long Id { get; set; }

    [ForeignKey(nameof(UserId))]
    public User User { get; set; }

    public int UserId { get; set; }

    public string Text { get; set; }

    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public DateTime Time { get; set; }
  }
}
